Tag: pip

Ошибка при установке lxml через pip: требуется Microsoft Visual C ++ 14.0

Я нахожусь на машине с Windows 10 и недавно перешел с python 2.7 на 3.5. При попытке установить lxml через pip он останавливается и выдает это сообщение об ошибке – расширение 'lxml.etree' Ошибка: требуется Microsoft Visual C ++ 14.0. Получите его с помощью Microsoft Visual C ++ Build Tools: http://landinghub.visualstudio.com/visual-cpp-build-tools У меня установлена ​​рабочая копия […]

Проблемы с компилятором с помощью pip во время установки numpy в Windows 8.1, 7 Enterprise и 7 Home Editions

Я не могу установить numpy через pip install numpy на моем компьютере под управлением Python 3.4 из-за различных ошибок, которые я получаю, связанных с проблемами компиляции (это касается только 64-разрядной установки Python). Это проблема, о которой сообщалось широко, и у меня был связанный с ней вопрос о том, что вы не можете найти vcvarsall.bat. Я […]

Установка paramiko в Windows

ОК. Я прочитал установку paramiko в Windows . Все упомянутые методы просто не работают. У авторов разные среды с установленными различными компонентами / библиотеками. Или, может быть, они не тестируют свои решения, прежде чем отправлять ответ 🙂 Я удалил все версии python и libs с моей машины (Windows 8 x64) и попытался установить python и […]

setuptools и pip: выбор минимальной и полной установки

Мы создали библиотеку, которая зависит от других библиотек. Но необходимы (например, для пакетной обработки сервера) и необязательные зависимости (например, для клиентов с графическим интерфейсом). Что-то вроде этого возможно: pip install mylib.tar.gz # automatically downloads and installs with the minimal set of dependencies pip install mylib.tar.gz –install-option="complete" # automatically installs with all dependencies Я нашел флаг […]

ImportError: нет модуля с именем dateutil.parser

Я получаю следующую ошибку при импорте pandas в программе Python monas-mbp:book mona$ sudo pip install python-dateutil Requirement already satisfied (use –upgrade to upgrade): python-dateutil in /System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python Cleaning up… monas-mbp:book mona$ python t1.py No module named dateutil.parser Traceback (most recent call last): File "t1.py", line 4, in <module> import pandas as pd File "/Library/Python/2.7/site-packages/pandas/__init__.py", line 6, […]

Включая глобальный пакет в virtualenv, который был создан с -no-site-пакетами

Обычно я предпочитаю создавать virtualenvs с опцией -no-site-packages для большей изоляции, а также потому, что по умолчанию в глобальных пакетах python имеется довольно много пакетов, и обычно большинство из них не нужны. Однако я все же хочу сохранить несколько пакетов в глобальном масштабе, например PIL или psycopg2. Есть ли хороший способ включить их в virtualenv, […]

Что такое «pkg-resources == 0.0.0» в выводе команды pip freeze

Когда я запустил pip freeze я вижу (среди других ожидаемых пакетов) pkg-resources==0.0.0 . Я видел несколько сообщений, в которых упоминается этот пакет (в том числе и этот ), но никто не объясняет, что это такое, или почему он включен в выходные данные о pip freeze . Основная причина, по которой мне интересно, – это не […]

Учитывая имя пакета Python, каково имя модуля для импорта?

Кто-нибудь знает логику имен модулей Python и имя фактического пакета, используемого в easy_install? Несколько (среди прочих) примеров, которые кажутся мне немного нелогичными: Мы делаем easy_install mysql-python , но импорт фактически import MySQLdb Мы делаем easy_install python-memcached , но импорт фактически import memcache (без конечного d) Я не нашел последовательного способа найти эквивалентность. Для некоторых модулей […]

Ipython нет доступной readline и pip install readline error

Я установил ipython, но у него нет опции readline. Сначала я загрузил gnu readline и скомпилировал и установил. DId не знал, было ли это правильное решение, но это было первое, о чем я думал. Он по-прежнему не будет работать безрезультатно с той же ошибкой, что и раньше: ПРЕДУПРЕЖДЕНИЕ: услуги Readline недоступны на этой платформе. ПРЕДУПРЕЖДЕНИЕ. […]

«ImportError: нет модуля с именем httplib2» даже после установки

Мне трудно понять, почему я получаю ImportError: No module named httplib2 после установки httplib2. Смотри ниже: $ which -a python /usr/bin/python /usr/local/bin/python $ pip -V pip 1.4.1 from /usr/local/lib/python2.7/site-packages/pip-1.4.1-py2.7.egg (python 2.7 $ pip list google-api-python-client (1.2) httplib2 (0.8) pip (1.4.1) pudb (2013.5.1) Pygments (1.6) setuptools (1.3.2) wsgiref (0.1.2) $ pip install httplib2 Requirement already satisfied […]

Python - лучший язык программирования в мире.